--
-- copyrightmod
--
-- Author: Alex2009  (www.alex2009.de)
-- Datum: 24.05.2011
--
--

copyrightmod = {};
copyrightmod.ModOrdner = g_currentModDirectory;

function copyrightmod:loadMap(name)
    local copyright01 = Utils.getFilename("CopyrightFiles/copyright01.png", copyrightmod.ModOrdner);
	local copyright02 = Utils.getFilename("CopyrightFiles/copyright02.png", copyrightmod.ModOrdner);
    self.ZeichenA = Overlay:new("on",copyright01, 0,0,1,1);
	self.ZeichenB = Overlay:new("on",copyright02, 0,0,1,1);
	self.copyright = 0;
end;

function copyrightmod:deleteMap()
end;

function copyrightmod:mouseEvent(posX, posY, isDown, isUp, button)
end;

function copyrightmod:keyEvent(unicode, sym, modifier, isDown)
	if sym == Input.KEY_f6 and isDown then
		self.copyright = self.copyright + 1;
		if self.copyright == 3 then
		    self.copyright = 0;
		end;
	end;
end;

function copyrightmod:update(dt)
end;

function copyrightmod:draw()
	if self.copyright == 1 then
		self.ZeichenA:render();
	elseif self.copyright == 2 then
	    self.ZeichenB:render();
	end;
end;

addModEventListener(copyrightmod);